Difference between revisions of "Firefly Freelink"

From NAS-Central Buffalo - The Linkstation Wiki
Jump to: navigation, search
Line 1: Line 1:
[[Image:Ff_logo_sm.gif]]
+
[[Image:Ff_logo_sm.gif ]]
  
 
== Requirements ==
 
== Requirements ==
Line 19: Line 19:
 
Download Firefly mediaserver
 
Download Firefly mediaserver
 
You will need to check out [[http://nightlies.mt-daapd.org/ the nightlies]] and change the address below to the latest version
 
You will need to check out [[http://nightlies.mt-daapd.org/ the nightlies]] and change the address below to the latest version
  wget http://nightlies.mt-daapd.org/dl.php?FILE=mt-daapd-svn-1463.tar.gz
+
  <nowiki>wget http://nightlies.mt-daapd.org/dl.php?FILE=mt-daapd-svn-1463.tar.gz</nowiki>
  
 
Untar and enter folder (replace with whatever latest version is)
 
Untar and enter folder (replace with whatever latest version is)
Line 36: Line 36:
 
  pico mt-daapd.conf
 
  pico mt-daapd.conf
 
Should only need to change where to look for your music files
 
Should only need to change where to look for your music files
 +
 +
=== Starting at boot ===
 +
 +
I've nicked the start script from andre's mt-daapd ppc package (if you don't mind andre)
 +
 +
pico /etc/init.d/firefly
 +
 +
#! /bin/sh
 +
set -e
 +
 +
# /etc/init.d/mt-daapd: start and stop the DAAP daemon
 +
 +
DAEMON=/usr/local/sbin/mt-daapd
 +
DAAPD_OPTS=""
 +
DAAPD_CONFIG_FILE=/etc/mt-daapd/mt-daapd.conf
 +
 +
test -x $DAEMON || exit 0
 +
 +
case "$1" in
 +
  start)
 +
    if ! grep -q /usr/local/lib /etc/ld.so.conf; then
 +
      echo /usr/local/lib >> /etc/ld.so.conf
 +
      ldconfig
 +
    fi
 +
 +
    echo -n "Starting DAAP daemon: mt-daap"
 +
    if pidof $DAEMON >/dev/null 2>&1; then
 +
      echo " apparently already running."
 +
    exit 0
 +
    fi
 +
    if [ ! -s "$DAAPD_CONFIG_FILE" ]; then
 +
      echo " missing or empty config file $DAAPD_CONFIG_FILE"
 +
      exit 1
 +
    fi
 +
    start-stop-daemon --start --quiet --background \
 +
      --exec $DAEMON -- -c "$DAAPD_CONFIG_FILE" $DAAPD_OPTS
 +
    echo "."
 +
    ;;
 +
  stop)
 +
    echo -n "Stopping DAAP daemon: mt-daap"
 +
    killall $DAEMON >/dev/null 2>&1
 +
    echo "."
 +
    ;;
 +
 +
  restart)
 +
    set +e
 +
    echo -n "Restarting rsync daemon: mt-daap"
 +
    killall $DAEMON >/dev/null 2>&1
 +
    sleep 2
 +
    if ! start-stop-daemon --start --quiet --background \
 +
      --exec $DAEMON -- -c "$DAAPD_CONFIG_FILE" $DAAPD_OPTS
 +
    then
 +
      echo "start failed?"
 +
    fi
 +
    echo "."
 +
    ;;
 +
 +
  *)
 +
    echo "Usage: /etc/init.d/mt-daap {start|stop|restart}"
 +
    exit 1
 +
esac
 +
 +
exit 0
 +
 +
Then add the links
 +
 +
cd /etc/rc2.d && ln -s /etc/init.d/firefly S20ps2client
 +
 +
cd /etc/rc6.d && ln -s /etc/init.d/firefly K20ps2client
 +
 +
cd /etc/rc0.d && ln -s /etc/init.d/firefly K20ps2client
  
 
== Run it ==
 
== Run it ==
Line 49: Line 120:
 
  mkdir /usr/local/etc
 
  mkdir /usr/local/etc
 
  ln -s /etc/mt-daapd/mt-daapd.conf  /usr/local/etc/mt-daapd.conf
 
  ln -s /etc/mt-daapd/mt-daapd.conf  /usr/local/etc/mt-daapd.conf
 +
 +
  
 
[[User:Bauldrick|Bauldrick]] 09:13, 21 December 2006 (EST)
 
[[User:Bauldrick|Bauldrick]] 09:13, 21 December 2006 (EST)

Revision as of 14:31, 21 December 2006

Ff logo sm.gif

Contents

Requirements

  1. Lots of good music
  2. Something to play lots of your good music on - Like a Roku Soundbridge


Installation

apt-get install libid3tag0 libid3tag0-dev
apt-get install sqlite libsqlite0-dev
apt-get install g++
cd /tmp

Download Firefly mediaserver You will need to check out [the nightlies] and change the address below to the latest version

wget http://nightlies.mt-daapd.org/dl.php?FILE=mt-daapd-svn-1463.tar.gz

Untar and enter folder (replace with whatever latest version is)

tar -zxvf mt-daapd-svn-1463.tar.gz && cd mt-daapd-svn-1463


./configure --prefix=/usr/local --enable-browse --enable-query --enable-mdns --with-id3tag=/usr/local --enable-sqlite 
--sysconfdir=/etc 
make install
mkdir /etc/mt-daapd
cp contrib/mt-daapd.* /etc/mt-daapd/
cd /etc/mt-daapd
pico mt-daapd.conf

Should only need to change where to look for your music files

Starting at boot

I've nicked the start script from andre's mt-daapd ppc package (if you don't mind andre)

pico /etc/init.d/firefly
#! /bin/sh
set -e

# /etc/init.d/mt-daapd: start and stop the DAAP daemon

DAEMON=/usr/local/sbin/mt-daapd
DAAPD_OPTS=""
DAAPD_CONFIG_FILE=/etc/mt-daapd/mt-daapd.conf

test -x $DAEMON || exit 0 

case "$1" in
 start)
   if ! grep -q /usr/local/lib /etc/ld.so.conf; then
     echo /usr/local/lib >> /etc/ld.so.conf
     ldconfig
   fi

   echo -n "Starting DAAP daemon: mt-daap"
   if pidof $DAEMON >/dev/null 2>&1; then
     echo " apparently already running."
   exit 0
   fi
   if [ ! -s "$DAAPD_CONFIG_FILE" ]; then
     echo " missing or empty config file $DAAPD_CONFIG_FILE"
     exit 1
   fi
   start-stop-daemon --start --quiet --background \
     --exec $DAEMON -- -c "$DAAPD_CONFIG_FILE" $DAAPD_OPTS
   echo "."
   ;;
 stop)
   echo -n "Stopping DAAP daemon: mt-daap"
   killall $DAEMON >/dev/null 2>&1
   echo "."
   ;;

 restart)
   set +e
   echo -n "Restarting rsync daemon: mt-daap"
   killall $DAEMON >/dev/null 2>&1
   sleep 2
   if ! start-stop-daemon --start --quiet --background \
     --exec $DAEMON -- -c "$DAAPD_CONFIG_FILE" $DAAPD_OPTS
   then
     echo "start failed?"
   fi
   echo "."
   ;;

 *)
   echo "Usage: /etc/init.d/mt-daap {start|stop|restart}"
   exit 1
esac

exit 0

Then add the links

cd /etc/rc2.d && ln -s /etc/init.d/firefly S20ps2client
cd /etc/rc6.d && ln -s /etc/init.d/firefly K20ps2client
cd /etc/rc0.d && ln -s /etc/init.d/firefly K20ps2client

Run it

Should be able to start it up now

/usr/local/sbin/mt-daapd

This errors because it looks for mt-daapd.conf in /usr/local/etc/mt-daapd.conf ??

I've just linked to it

mkdir /usr/local/etc
ln -s /etc/mt-daapd/mt-daapd.conf  /usr/local/etc/mt-daapd.conf


Bauldrick 09:13, 21 December 2006 (EST)